Subject: [Shop-talk] MILTON S-99705 SAFETY COUPLER and the next harryepstein painting

From: eric--- via Shop-talk <[email-masked]>
Date: Wed, 22 May 2019 08:15:31 -0400 05/22/2019 08:15:32 AM, Serialize complete at 05/22/2019 08:15:32 AM

This is a multipart message in MIME format.
--===============5233702124379786526==

This is a multipart message in MIME format.
--=_alternative 0043564E85258402_=

So after the great painting from harryepstein.com, I was looking for other 
items to order to get another one.

I found this air line connectors, MILTON S-99705 SAFETY COUPLER...

https://www.harryepstein.com/index.php/milton-s-99705-safety-coupler.html 

So I bought one.  They are 1/4 and type "M" connectors.  I got it last 
night and I can't believe home well they work!  As a result, I bought all 
of the ones at HE that they had left (and still bought 10 more from 
Amazon) just to replace all my connectors with them.

FWIW, amazon's price is about a dollar more, but it has free shipping (but 
they also have to charge me tax.)  So the price is a wash. 

I never heard or saw these connectors before, but I'm very impressed with 
them.  I had cheapo combo connectors before that took either standard, but 
I'm replacing them all (and all the tools that were not M before.)

And for those that want to see the box art, here is a link....  (request 
was cats watching a man chop wood.)
 
https://www.megageek.com/photo/photoa~1.nsf/a7ffeab012bbfb5b85256eb1007ca7f6/4a6004f30a113816852583fa0040eaab?OpenDocument 

I do love this idea!

Have a great day.

Sent from my Commodore 64 on a 2400 Baud Modem.
Tech Viper
"Be as beneficent as the sun or the sea, but if your rights as a rational 
being are trenched on, die on the first inch of your territory." Ralph 
Waldo Emerson 
-Who is John Galt?
--=_alternative 0043564E85258402_=

<font size=2 face="sans-serif">So after the great painting from harryepstein.com,
I was looking for other items to order to get another one.</font>
<br>
<br><font size=2 face="sans-serif">I found this air line connectors, MILTON
S-99705 SAFETY COUPLER...</font>
<br>
<br><a href="https://www.harryepstein.com/index.php/milton-s-99705-safety-coupler.html"><font size=3 color=blue><u>https://www.harryepstein.com/index.php/milton-s-99705-safety-coupler.html</u></font></a><font size=3>
</font>
<br>
<br><font size=2 face="sans-serif">So I bought one. &nbsp;They are 1/4
and type &quot;M&quot; connectors. &nbsp;I got it last night and I can't
believe home well they work! &nbsp;As a result, I bought all of the ones
at HE that they had left (and still bought 10 more from Amazon) just to
replace all my connectors with them.</font>
<br>
<br><font size=2 face="sans-serif">FWIW, amazon's price is about a dollar
more, but it has free shipping (but they also have to charge me tax.) &nbsp;So
the price is a wash. &nbsp;</font>
<br>
<br><font size=2 face="sans-serif">I never heard or saw these connectors
before, but I'm very impressed with them. &nbsp;I had cheapo combo connectors
before that took either standard, but I'm replacing them all (and all the
tools that were not M before.)</font>
<br>
<br><font size=2 face="sans-serif">And for those that want to see the box
art, here is a link.... &nbsp;(request was cats watching a man chop wood.)</font>
<br><font size=2 face="sans-serif">&nbsp;</font><a href=https://www.megageek.com/photo/photoa~1.nsf/a7ffeab012bbfb5b85256eb1007ca7f6/4a6004f30a113816852583fa0040eaab?OpenDocument><font size=3 color=blue><u>https://www.megageek.com/photo/photoa~1.nsf/a7ffeab012bbfb5b85256eb1007ca7f6/4a6004f30a113816852583fa0040eaab?OpenDocument</u></font></a><font size=3>
</font>
<br>
<br>
<br><font size=2 face="sans-serif">I do love this idea!</font>
<br><font size=2 face="sans-serif"><br>
Have a great day.<br>
<br>
Sent from my Commodore 64 on a 2400 Baud Modem.<br>
Tech Viper<br>
&quot;Be as beneficent as the sun or the sea, but if your rights as a rational
being are trenched on, die on the first inch of your territory.&quot; Ralph
Waldo Emerson <br>
-Who is John Galt?</font>
--=_alternative 0043564E85258402_=--

--===============5233702124379786526==
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

_______________________________________________

[email-masked]
Archive: http://www.team.net/pipermail/shop-talk http://autox.team.net/archive

--===============5233702124379786526==--